[arch-commits] Commit in jpilot/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Oct 4 06:40:47 EDT 2008


    Date: Saturday, October 4, 2008 @ 06:40:46
  Author: andyrtr
Revision: 14143

Merged revisions 356,14141-14142 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/jpilot/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r14141 | andyrtr | 2008-10-04 10:28:25 +0000 (Sa, 04 Okt 2008) | 1 line
  
  upgpkg: jpilot 1.6.0-1
........
  r14142 | andyrtr | 2008-10-04 10:35:08 +0000 (Sa, 04 Okt 2008) | 1 line
  
  upgpkg: jpilot 1.6.0-1
........

Modified:
  jpilot/repos/extra-x86_64/	(properties)
  jpilot/repos/extra-x86_64/PKGBUILD
Deleted:
  jpilot/repos/extra-x86_64/jpilot-fix_invalid_free.patch

-------------------------------+
 PKGBUILD                      |   21 +++++++++++++--------
 jpilot-fix_invalid_free.patch |   11 -----------
 2 files changed, 13 insertions(+), 19 deletions(-)


Property changes on: jpilot/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /jpilot/trunk:1
   + /jpilot/trunk:1-14142

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-04 10:35:08 UTC (rev 14142)
+++ extra-x86_64/PKGBUILD	2008-10-04 10:40:46 UTC (rev 14143)
@@ -1,21 +1,26 @@
+<<<<<<< .working
 # $Id$
 # Maintainer: dale <dale at archlinux.org>
+=======
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+>>>>>>> .merge-right.r14142
 
 pkgname=jpilot
-pkgver=0.99.9
+pkgver=1.6.0
 pkgrel=1
 pkgdesc="A desktop organizer application for the palm pilot"
 arch=(i686 x86_64)
-depends=('openssl>=0.9.8c' 'gtk2>=2.10.4' 'pilot-link>=0.12.1')
-options=('nolibtool')
+license=('GPL2')
+depends=('openssl>=0.9.8i-1' 'gtk2>=2.12.11-3' 'pilot-link>=0.12.3-2')
+options=('!libtool')
 url=(http://jpilot.org/)
 source=(http://jpilot.org/jpilot-${pkgver}.tar.gz)
-md5sums=('c39df29aeed57b84a674524856ebc290')
+md5sums=('7918d345fb7e4b644a7211db03ddd148')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-
-  ./configure --prefix=/usr --disable-pl-test
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-pl-test --disable-gtktest
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }

Deleted: extra-x86_64/jpilot-fix_invalid_free.patch
===================================================================
--- extra-x86_64/jpilot-fix_invalid_free.patch	2008-10-04 10:35:08 UTC (rev 14142)
+++ extra-x86_64/jpilot-fix_invalid_free.patch	2008-10-04 10:40:46 UTC (rev 14143)
@@ -1,11 +0,0 @@
---- jpilot.c.orig	2006-03-09 00:06:29.000000000 +0100
-+++ jpilot.c	2006-03-09 00:10:18.000000000 +0100
-@@ -1371,7 +1371,7 @@
-    gdk_pixdata_from_pixbuf(pixdata, pixbuf, FALSE);
-    data = gdk_pixdata_serialize(pixdata, &len);
- 
--   g_free(pixbuf);
-+   g_object_unref(pixbuf);
-    g_free(pixdata);
- 
-    return data;




More information about the arch-commits mailing list